---
title: Get information about all mailings of a Smart Campaign
slug: campaign/api/get-information-about-all-mailings-of-a-smart-campaign
docTags: 
createdAt: 2026-09-02T15:04:15.718Z
---

{
  "id": "eWyDMtlYathfMJ8EwsQDr",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/messages",
    "servers": [
      {
        "url": "https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/messages"
      }
    ],
    "name": "Get information about all mailings of a Smart Campaign",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "clientId",
          "type": "string",
          "description": "Client ID"
        },
        {
          "kind": "required",
          "name": "campaignId",
          "type": "integer<int64>",
          "description": "Smart Campaign ID",
          "format": "int64"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/vnd.optivo.broadmail.v1+json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Authorization",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "The mailings of given Smart Campaign were retrieved successfully.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "customType": "RestMessageNode[]",
            "schema": [
              {
                "name": "nodeId",
                "kind": "optional",
                "type": "string",
                "description": "Node ID"
              },
              {
                "name": "name",
                "kind": "optional",
                "type": "string",
                "description": "Mailing name"
              },
              {
                "name": "mailingId",
                "kind": "optional",
                "type": "integer<int64>",
                "description": "Mailing ID",
                "format": "int64"
              },
              {
                "name": "description",
                "kind": "optional",
                "type": "string",
                "description": "Mailing description"
              },
              {
                "name": "mediaType",
                "kind": "optional",
                "type": "string",
                "description": "Media type of the mailing"
              },
              {
                "name": "status",
                "kind": "optional",
                "type": "string<invalid | activationRequired | activated | canceled | paused | running | finished>",
                "description": "Current status of the mailing",
                "enum": [
                  "invalid",
                  "activationRequired",
                  "activated",
                  "canceled",
                  "paused",
                  "running",
                  "finished"
                ]
              },
              {
                "name": "created",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "Creation date",
                "format": "date-time"
              },
              {
                "name": "modified",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "Modification date",
                "format": "date-time"
              },
              {
                "name": "started",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "Start date of the mailing",
                "format": "date-time"
              },
              {
                "name": "finished",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "Finish date of the mailing",
                "format": "date-time"
              },
              {
                "name": "senderAddress",
                "kind": "optional",
                "type": "string",
                "description": "Email address of the sender"
              },
              {
                "name": "senderName",
                "kind": "optional",
                "type": "string",
                "description": "Sender name"
              },
              {
                "name": "replyToAddress",
                "kind": "optional",
                "type": "string",
                "description": "Email address for reply emails"
              },
              {
                "name": "replyToName",
                "kind": "optional",
                "type": "string",
                "description": "Name for reply emails"
              },
              {
                "name": "subject",
                "kind": "optional",
                "type": "map",
                "description": "",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              },
              {
                "name": "mediaCode",
                "kind": "optional",
                "type": "string",
                "description": "Media code of the mailing"
              },
              {
                "name": "format",
                "kind": "optional",
                "type": "string",
                "description": "Mailing format"
              },
              {
                "name": "dispatchOption",
                "kind": "optional",
                "type": "string",
                "description": "Dispatch options of the print mailing"
              },
              {
                "name": "dispatchStrategyOption",
                "kind": "optional",
                "type": "string",
                "description": "Dispatch strategy of the print mailing"
              },
              {
                "name": "accumulateMessagesForDays",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "Number of messages per day",
                "format": "int32"
              },
              {
                "name": "pushType",
                "kind": "optional",
                "type": "string<MOBILE | WEB>",
                "description": "<p>Push type (push message)</p>",
                "enum": [
                  "MOBILE",
                  "WEB"
                ]
              },
              {
                "name": "icon",
                "kind": "optional",
                "type": "string",
                "description": "<p>Icon (push message)</p>"
              },
              {
                "name": "clickAction",
                "kind": "optional",
                "type": "string",
                "description": "<p>Click action (push message)</p>"
              },
              {
                "name": "archiveEnabled",
                "kind": "optional",
                "type": "boolean",
                "description": "Is mail archiving enabled"
              },
              {
                "name": "archivePeriod",
                "kind": "optional",
                "type": "string<ONE_MONTH | TWO_MONTHS | THREE_MONTHS | SIX_MONTHS | ONE_YEAR | TWO_YEARS>",
                "description": "Mail archiving period",
                "enum": [
                  "ONE_MONTH",
                  "TWO_MONTHS",
                  "THREE_MONTHS",
                  "SIX_MONTHS",
                  "ONE_YEAR",
                  "TWO_YEARS"
                ]
              },
              {
                "name": "smsParts",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "Number of SMS parts",
                "format": "int32"
              },
              {
                "name": "deeplinks",
                "kind": "optional",
                "type": "map",
                "description": "Deeplinks of the push message",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              },
              {
                "name": "links",
                "kind": "optional",
                "type": "array",
                "description": "Restful links",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "uriBuilder",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "example": "",
                    "schema": []
                  },
                  {
                    "name": "rels",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "rel",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "type",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "params",
                    "kind": "optional",
                    "type": "map",
                    "description": "",
                    "example": "",
                    "customType": "map<string, string>",
                    "schema": []
                  },
                  {
                    "name": "title",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "uri",
                    "kind": "optional",
                    "type": "string<uri>",
                    "description": "",
                    "format": "uri"
                  }
                ]
              },
              {
                "name": "content",
                "kind": "optional",
                "type": "string",
                "description": "Mailing content"
              },
              {
                "name": "payload",
                "kind": "optional",
                "type": "map",
                "description": "Payload of the push message",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              },
              {
                "name": "contentType",
                "kind": "optional",
                "type": "object",
                "description": "Content type of the mailing",
                "example": "",
                "schema": [
                  {
                    "name": "type",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "subtype",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "parameters",
                    "kind": "optional",
                    "type": "map",
                    "description": "",
                    "example": "",
                    "customType": "map<string, string>",
                    "schema": []
                  },
                  {
                    "name": "wildcardType",
                    "kind": "optional",
                    "type": "boolean",
                    "description": ""
                  },
                  {
                    "name": "wildcardSubtype",
                    "kind": "optional",
                    "type": "boolean",
                    "description": ""
                  }
                ]
              },
              {
                "name": "expiry",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "Expiry date and time of the push message",
                "format": "date-time"
              },
              {
                "name": "attachmentIds",
                "kind": "optional",
                "type": "array",
                "description": "<p>Comma-separated list of attachment IDs</p>",
                "example": "",
                "itemType": "integer",
                "customType": "integer[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "gridLocation",
                "kind": "optional",
                "type": "object",
                "description": "Grid location point",
                "modelRef": "#/components/schemas/Point",
                "customType": "Point",
                "schema": [
                  {
                    "name": "x",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "description": "",
                    "format": "int32"
                  },
                  {
                    "name": "y",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "description": "",
                    "format": "int32"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/RestMessageNode",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "sp3g2msuOtgc5Q5A2j7s8",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/messages \\\n     --header 'accept: application/json'"
        },
        {
          "id": "aFX9lNdi4y2DWiDxkLH6_",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/messages\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "nc0E4t4eXq3flWKWwx1Ts",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/messages\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "XQ5SlfoNw7FHynqkp2VOg",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/messages\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "sp3g2msuOtgc5Q5A2j7s8"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// The mailings of given Smart Campaign were retrieved successfully.\n[\n  {\n    \"nodeId\": \"\",\n    \"name\": \"\",\n    \"mailingId\": \"\",\n    \"description\": \"\",\n    \"mediaType\": \"\",\n    \"status\": \"\",\n    \"created\": \"\",\n    \"modified\": \"\",\n    \"started\": \"\",\n    \"finished\": \"\",\n    \"senderAddress\": \"\",\n    \"senderName\": \"\",\n    \"replyToAddress\": \"\",\n    \"replyToName\": \"\",\n    \"subject\": \"\",\n    \"mediaCode\": \"\",\n    \"format\": \"\",\n    \"dispatchOption\": \"\",\n    \"dispatchStrategyOption\": \"\",\n    \"accumulateMessagesForDays\": \"\",\n    \"pushType\": \"\",\n    \"icon\": \"\",\n    \"clickAction\": \"\",\n    \"archiveEnabled\": false,\n    \"archivePeriod\": \"\",\n    \"smsParts\": \"\",\n    \"deeplinks\": \"\",\n    \"links\": [\n      {\n        \"uriBuilder\": {},\n        \"rels\": [\n          \"\"\n        ],\n        \"rel\": \"\",\n        \"type\": \"\",\n        \"params\": \"\",\n        \"title\": \"\",\n        \"uri\": \"\"\n      }\n    ],\n    \"content\": \"\",\n    \"payload\": \"\",\n    \"contentType\": {\n      \"type\": \"\",\n      \"subtype\": \"\",\n      \"parameters\": \"\",\n      \"wildcardType\": false,\n      \"wildcardSubtype\": false\n    },\n    \"expiry\": \"\",\n    \"attachmentIds\": [\n      0\n    ],\n    \"gridLocation\": {\n      \"x\": \"\",\n      \"y\": \"\"\n    }\n  }\n]"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}